That is a very interesting problem and a very well written bug report.
Thank you.

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to util-linux in Ubuntu.
https://bugs.launchpad.net/bugs/1610720

Title:
  Can't mount partitions in fstab after 14.04->16.04 upgrade

Status in util-linux package in Ubuntu:
  New

Bug description:
  This is either a problem with fsck/mount, the Ubuntu distribution
  upgrade process or systemd. I'm not yet sure which.

  I had a hell of a time trying to upgrade from 14.04 to 16.04. I
  managed to get through after several single-user sessions in rescue-
  mode (machine was not able to boot to multi-user level at this state
  and I couldn't, then, find the problem), installing all packages until
  'dpkg --audit' gave no more problems and apt-get upgrade had nothing
  more to add. I was still unable to boot using systemd but upstart did
  work.

  Analyzing the boot journal with journalctl -xb I saw various disks
  couldn't be fsck'ed or mounted. When I tried to mount one of them
  manually in rescue mode I got:

  root@Diamond:/etc# mount /media/sda6
  mount: can't find UUID=28aa6c430061e3ca

  More research:

  root@Diamond:/etc# blkid /dev/sda6
  /dev/sda6: LABEL="Swap" UUID="28AA6C430061E3CA" TYPE="ntfs" 
PARTUUID="000c76d0-06"
  root@Diamond:/etc# cat fstab | grep sda6
  # /dev/sda6
  UUID=28aa6c430061e3ca /media/sda6     ntfs    defaults,umask=007,gid=46       
01

  Note the UUID as it seems booting in systemd requires fstab's UUIDs to be 
case sensitive. When booting using upstart, this is not the case. When you put 
an UUID with upper case letters in fstab, the problem (in a session booted 
using systemd) goes away.
  I never manually edited /etc/fstab on this machine before so somehow Ubuntu 
once generated UUIDs with lower-case letters when I first installed it, or 
during an upgrade. However, now it needs to be upper-case.

  Additional information:
  root@Diamond:/etc# lsb_release -rd
  Description:  Ubuntu 16.04.1 LTS
  Release:      16.04
  root@Diamond:/etc# apt-cache policy util-linux
  util-linux:
    Installed: 2.27.1-6ubuntu3.1
    Candidate: 2.27.1-6ubuntu3.1
    Version table:
   *** 2.27.1-6ubuntu3.1 500
          500 http://nl.archive.ubuntu.com/ubuntu xenial-updates/main amd64 
Packages
          100 /var/lib/dpkg/status
       2.27.1-6ubuntu3 500
          500 http://nl.archive.ubuntu.com/ubuntu xenial/main amd64 Packages

  ProblemType: Bug
  DistroRelease: Ubuntu 16.04
  Package: mount 2.27.1-6ubuntu3.1
  ProcVersionSignature: Ubuntu 4.4.0-31.50-generic 4.4.13
  Uname: Linux 4.4.0-31-generic x86_64
  ApportVersion: 2.20.1-0ubuntu2.1
  Architecture: amd64
  CurrentDesktop: Unity
  Date: Sun Aug  7 19:36:58 2016
  SourcePackage: util-linux
  UpgradeStatus: No upgrade log present (probably fresh install)

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/util-linux/+bug/1610720/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to     : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp

Reply via email to